npm (9.2.0~ds2-1) unstable; urgency=medium

  * New upstream version 9.2.0~ds2
  * Remove some useless Files-Excluded lines
  * Properly exclude minipass to avoid using it by mistake
  * Fix port-to-rimraf-4 patch

 -- Jérémy Lal <kapouer@melix.org>  Thu, 25 Dec 2025 16:56:43 +0100

npm (9.2.0~ds1-5) unstable; urgency=medium

  * Team upload
  * Port to node-rimraf >= 4

 -- Bastien Roucariès <rouca@debian.org>  Thu, 25 Dec 2025 10:51:30 +0100

npm (9.2.0~ds1-4) unstable; urgency=medium

  * Team upload

  [ Jérémy Lal ]

  * d/README.source: drop info about cdbs. Closes: #1110347.

  [ Bastien Roucariès ]
  * port to glob 10
  * port to minipass 5

 -- Bastien Roucariès <rouca@debian.org>  Sun, 23 Nov 2025 12:49:01 +0100

npm (9.2.0~ds1-3) unstable; urgency=medium

  * Patch: fix exit codes in node 20.
  * Disable exit-handler test
  * no-duplication test: needs pkg-js-tools

 -- Jérémy Lal <kapouer@melix.org>  Mon, 27 May 2024 09:38:14 +0200

npm (9.2.0~ds1-2) unstable; urgency=medium

  * Team upload

  [ lintian-brush ]
  * Update lintian override info to new format:
    + debian/source/lintian-overrides: line 2-3
    + debian/npm.lintian-overrides: line 2-4, 6
  * Update standards version to 4.6.2, no changes needed

  [ Yadd ]
  * Add patch for node-https-proxy-agent >= 7

 -- Yadd <yadd@debian.org>  Thu, 23 Nov 2023 11:39:13 +0400

npm (9.2.0~ds1-1) unstable; urgency=medium

  * Team upload
  * Enable more tests
  * New upstream version 9.2.0~ds1
  * Dependencies: drop node-ansistyles, node-asap and node-dezalgo

 -- Yadd <yadd@debian.org>  Sun, 11 Dec 2022 15:07:55 +0100

npm (9.1.3~ds1-1) unstable; urgency=medium

  * Team upload
  * Exclude ci-info from import
  * Re-exclude chalk from import
  * New upstream version 9.1.3~ds1
  * Add fix for node-chalk 5

 -- Yadd <yadd@debian.org>  Fri, 02 Dec 2022 16:40:14 +0100

npm (9.1.2~ds1-3) unstable; urgency=medium

  * Team upload
  * Fix audit report

 -- Yadd <yadd@debian.org>  Tue, 29 Nov 2022 06:39:29 +0100

npm (9.1.2~ds1-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Fri, 18 Nov 2022 11:04:41 +0100

npm (9.1.2~ds1-1) experimental; urgency=medium

  * Team upload
  * Keep chalk 4 in embedded modules
  * Enable more tests
  * New upstream version 9.1.2~ds1

 -- Yadd <yadd@debian.org>  Fri, 18 Nov 2022 08:21:30 +0100

npm (9.1.1~ds1-1) experimental; urgency=medium

  * Team upload
  * New upstream version 9.1.1~ds1
  * Drop npm-packlist link: no more a binary
  * Use custom builder for manpages (missing dependency)
  * Refresh patches
  * Update excluded-files field
  * Update docs
  * Require:
    + node-cacache >= 17
    + node-hosted-git-info >= 6
    + node-npm-package-arg >= 10
  * Update test

 -- Yadd <yadd@debian.org>  Wed, 16 Nov 2022 15:47:31 +0100

npm (8.19.2~ds1-2) unstable; urgency=medium

  * Team upload
  * Clean copyright
  * Update lintian overrides
  * Don't import .gitignore
  * Drop __proto__ calls in tests

 -- Yadd <yadd@debian.org>  Wed, 21 Sep 2022 14:40:27 +0200

npm (8.19.2~ds1-1) unstable; urgency=medium

  * Team upload
  * Exclude proc-log from import and require node-proc-log
  * New upstream version 8.19.2~ds1
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Sat, 17 Sep 2022 16:44:31 +0200

npm (8.18.0~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.18.0~ds1

 -- Yadd <yadd@debian.org>  Mon, 22 Aug 2022 09:58:09 +0200

npm (8.17.0~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.17.0~ds1

 -- Yadd <yadd@debian.org>  Sat, 13 Aug 2022 07:15:19 +0200

npm (8.16.0~ds1-1) unstable; urgency=medium

  * Team upload
  * Add dependency to node-postcss-selector-parser and node-cssesc
  * New upstream version 8.16.0~ds1

 -- Yadd <yadd@debian.org>  Sun, 07 Aug 2022 21:36:22 +0200

npm (8.15.1~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.15.1~ds1

 -- Yadd <yadd@debian.org>  Fri, 29 Jul 2022 09:28:58 +0200

npm (8.15.0~ds1-2) unstable; urgency=medium

  * Team upload
  * Add build dependency to node-dezalgo (fixes manpages)

 -- Yadd <yadd@debian.org>  Mon, 25 Jul 2022 17:07:01 +0200

npm (8.15.0~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.15.0~ds1

 -- Yadd <yadd@debian.org>  Mon, 25 Jul 2022 11:56:30 +0200

npm (8.14.0~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.14.0~ds1
  * Add dependency to node-p-map

 -- Yadd <yadd@debian.org>  Sat, 16 Jul 2022 13:56:45 +0200

npm (8.13.2~ds1-1) unstable; urgency=medium

  * Team upload
  * Add missing build dependency on dh-nodejs for command dh_nodejs_autodocs
  * New upstream version 8.13.2~ds1

 -- Yadd <yadd@debian.org>  Thu, 30 Jun 2022 18:47:17 +0200

npm (8.13.1~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.13.1~ds1
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Sun, 26 Jun 2022 08:24:38 +0200

npm (8.12.2~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.12.2~ds1

 -- Yadd <yadd@debian.org>  Thu, 16 Jun 2022 06:39:10 +0200

npm (8.12.1~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.12.1~ds1

 -- Yadd <yadd@debian.org>  Sat, 04 Jun 2022 11:35:19 +0200

npm (8.11.0~ds1-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * New upstream version 8.11.0~ds1

 -- Yadd <yadd@debian.org>  Mon, 30 May 2022 06:03:55 +0200

npm (8.10.0~ds1-2) unstable; urgency=medium

  * Team upload
  * Better autopkgtest

 -- Yadd <yadd@debian.org>  Thu, 12 May 2022 16:38:45 +0200

npm (8.10.0~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.10.0~ds1
  * Update autopkgtest

 -- Yadd <yadd@debian.org>  Thu, 12 May 2022 14:55:29 +0200

npm (8.9.0~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.9.0~ds1

 -- Yadd <yadd@debian.org>  Sun, 08 May 2022 11:15:36 +0200

npm (8.8.0~ds1-1) unstable; urgency=medium

  * Team upload
  * Exclude .github from import
  * New upstream version 8.8.0~ds1
  * Update copyright
  * Update test

 -- Yadd <yadd@debian.org>  Fri, 29 Apr 2022 16:02:14 +0200

npm (8.7.0~ds1-2) unstable; urgency=medium

  * Team upload
  * Add missing dependency to node-http-proxy-agent

 -- Yadd <yadd@debian.org>  Mon, 25 Apr 2022 12:33:42 +0200

npm (8.7.0~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.7.0~ds1
  * Refresh patches
  * Update test

 -- Yadd <yadd@debian.org>  Sun, 24 Apr 2022 08:29:12 +0200

npm (8.6.0~ds2-2) unstable; urgency=medium

  * Team upload
  * Enable autopkgtest "require" test, except for npm itself
  * Add missing dependencies to node-binary-extensions and node-diff, thanks
    to autopkgtest

 -- Yadd <yadd@debian.org>  Wed, 06 Apr 2022 16:54:17 +0200

npm (8.6.0~ds2-1) unstable; urgency=medium

  * Team upload
  * Install all workspaces/* modules in nodejs root directories
  * Exclude dezalgo and npm-normalize-package-bin and add related dependencies
  * Reduce build dependencies
  * New upstream version 8.6.0~ds2

 -- Yadd <yadd@debian.org>  Wed, 06 Apr 2022 12:09:50 +0200

npm (8.6.0~ds1-3) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Wed, 06 Apr 2022 07:41:21 +0200

npm (8.6.0~ds1-2) experimental; urgency=medium

  * Clean install
  * Drop npm-version test (needs a real terminal)

 -- Yadd <yadd@debian.org>  Tue, 05 Apr 2022 05:52:50 +0200

npm (8.6.0~ds1-1) experimental; urgency=medium

  * Team upload
  * Require node-cacache >= 16 and drop @gar/promisify and @npmcli/fs
  * New upstream version 8.6.0~ds1
  * Refresh patches
  * Update autopkgtest

 -- Yadd <yadd@debian.org>  Mon, 04 Apr 2022 18:42:30 +0200

npm (8.5.5~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.5.5~ds1
  * Refresh patches
  * Use dh_nodejs_autodocs

 -- Yadd <yadd@debian.org>  Sat, 19 Mar 2022 12:37:26 +0100

npm (8.5.4~ds1-1) unstable; urgency=medium

  * Team upload

  [ deb-scrub-obsolete ]
  * Remove constraints unnecessary since buster

  [ Yadd ]
  * Re-enable upstream test using tap >= 15
  * New upstream version 8.5.4~ds1

 -- Yadd <yadd@debian.org>  Fri, 11 Mar 2022 15:12:11 +0100

npm (8.5.3~ds1-1) unstable; urgency=medium

  * Team upload
  * Update excluded list and repack
  * Ignore "docs" component, automatically added by workspace field
  * Install upstream doc

 -- Yadd <yadd@debian.org>  Mon, 07 Mar 2022 09:40:09 +0100

npm (8.5.3~ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.5.3~ds

 -- Yadd <yadd@debian.org>  Mon, 07 Mar 2022 06:22:24 +0100

npm (8.5.2~ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.5.2~ds
  * Refresh patches
  * Clean copyright
  * Clean lintian overrides

 -- Yadd <yadd@debian.org>  Wed, 02 Mar 2022 22:29:34 +0100

npm (8.5.1~ds-1) unstable; urgency=medium

  * Team upload
  * Drop dependency to node-object-assign
  * New upstream version 8.5.1~ds

 -- Yadd <yadd@debian.org>  Fri, 18 Feb 2022 06:14:06 +0100

npm (8.5.0~ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.5.0~ds
  * Exclude cli-table3 emoji-regex and @npmcli/move-file
    and require relevant dependencies

 -- Yadd <yadd@debian.org>  Mon, 14 Feb 2022 17:24:15 +0100

npm (8.4.1~ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.4.1~ds

 -- Yadd <yadd@debian.org>  Sun, 06 Feb 2022 12:51:47 +0100

npm (8.4.0~ds-1) unstable; urgency=medium

  * Team upload
  * Replace embedded minipass-* by dependency to na node-minipass
  * New upstream version 8.4.0~ds
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Sat, 29 Jan 2022 18:21:11 +0100

npm (8.4.0~ds-1) unstable; urgency=medium

  * Team upload
  * Exclude minipass* http-proxy-agent
  * New upstream version 8.4.0~ds

 -- Yadd <yadd@debian.org>  Sat, 29 Jan 2022 18:09:16 +0100

npm (8.3.2~ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.3.2~ds
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Thu, 27 Jan 2022 13:06:13 +0100

npm (8.3.1~ds-1) unstable; urgency=medium

  * Team upload
  * Update copyright
  * Fix no-duplication test
  * Set upstream metadata fields: Security-Contact.
  * New upstream version 8.3.1~ds
  * Build depends on dh-sequence-nodejs ≥ 0.11.5~ (regression in clean)

 -- Yadd <yadd@debian.org>  Mon, 17 Jan 2022 07:04:33 +0100

npm (8.3.0~ds-2) unstable; urgency=medium

  * Team upload
  * Install arborist, npm-packlist, pacote and qrcode-terminal in /usr/bin and
    build manpages

 -- Yadd <yadd@debian.org>  Thu, 23 Dec 2021 12:49:42 +0100

npm (8.3.0~ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.3.0~ds
  * Refresh patches

 -- Yadd <yadd@debian.org>  Mon, 13 Dec 2021 10:32:35 +0100

npm (8.1.4+ds-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Mon, 13 Dec 2021 06:30:02 +0100

npm (8.1.4+ds-1) experimental; urgency=medium

  * Team upload
  * Fix filenamemangle
  * Clean Files-Excluded
  * New upstream version 8.1.4+ds
  * Update dependencies using result of pkgjs-depends npm@8.1.4
  * Drop require test, no more usable
  * Update patches

 -- Yadd <yadd@debian.org>  Sat, 27 Nov 2021 12:34:07 +0100

npm (7.24.2+ds-2) unstable; urgency=medium

  * Team upload
  * Move node-opener dependency to suggested dependencies. Thanks to
    Jonas Smedegaard (Closes: #1000673)
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Sat, 27 Nov 2021 10:02:08 +0100

npm (7.24.2+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.24.2+ds
  * Prepare test for tap ≥ 15
  * Remove unneeded dependency version constraints
  * Install packages/*
  * Require dh-sequence-nodejs ≥ 0.9.72
  * Update lintian overrides
  * Install /usr/bin/npm-arborist and build manpage using help2man

 -- Yadd <yadd@debian.org>  Wed, 06 Oct 2021 10:03:29 +0200

npm (7.24.0+ds-2) unstable; urgency=medium

  * Team upload
  * Update copyright
  * Update lintian overrides
  * Back to unstable

 -- Yadd <yadd@debian.org>  Thu, 23 Sep 2021 18:16:10 +0200

npm (7.24.0+ds-1) experimental; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch

  [ Yadd ]
  * Fix debian/watch
  * Update excluded files list
  * Update dependencies
  * New upstream version 7.24.0+ds (Closes: #993405, #993407,CVE-2021-39134,
    CVE-2021-39135)
  * Refresh patches
  * Mark JS build dependencies with <!nocheck>, except node-marked-man
  * Temporarily disable upstream test (needs tap ≥ 15)
  * Drop unneeded version constraints

 -- Yadd <yadd@debian.org>  Wed, 22 Sep 2021 13:51:39 +0200

npm (7.6.3+ds-1) experimental; urgency=medium

  * Team upload
  * New upstream version 7.6.3+ds
  * Refresh patches

 -- Yadd <yadd@debian.org>  Mon, 15 Mar 2021 07:42:14 +0100

npm (7.6.0+ds-1) experimental; urgency=medium

  * Team upload
  * Exclude diff from import and add dependency to node-diff
  * New upstream version 7.6.0+ds
  * Refresh patches

 -- Yadd <yadd@debian.org>  Wed, 03 Mar 2021 16:26:03 +0100

npm (7.5.2+ds-2) unstable; urgency=medium

  * Team upload
  * Don't check for updates

 -- Yadd <yadd@debian.org>  Tue, 02 Mar 2021 13:16:52 +0100

npm (7.5.2+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.5.2+ds

 -- Xavier Guimard <yadd@debian.org>  Wed, 03 Feb 2021 06:06:15 +0100

npm (7.5.1+ds-1) unstable; urgency=medium

  * Team upload
  * Remove dependency to node-require-from-string
  * New upstream version 7.5.1+ds
  * Update test

 -- Xavier Guimard <yadd@debian.org>  Tue, 02 Feb 2021 15:00:06 +0100

npm (7.5.0+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.5.0+ds
  * Update copyright
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Fri, 29 Jan 2021 08:28:44 +0100

npm (7.4.3+ds-3) unstable; urgency=medium

  * Team upload
  * Fix test: upstream tests were skipped due to bad expression

 -- Xavier Guimard <yadd@debian.org>  Mon, 25 Jan 2021 13:06:07 +0100

npm (7.4.3+ds-2) unstable; urgency=medium

  * Team upload
  * Require node-ssri ≥ 8.0.0~

 -- Xavier Guimard <yadd@debian.org>  Mon, 25 Jan 2021 11:18:30 +0100

npm (7.4.3+ds-1) unstable; urgency=medium

  * Team upload
  * Add dependency to node-require-from-string
  * New upstream version 7.4.3+ds

 -- Xavier Guimard <yadd@debian.org>  Fri, 22 Jan 2021 05:58:21 +0100

npm (7.4.2+ds-1) unstable; urgency=medium

  * Team upload

  [ Pirate Praveen ]
  * Update minimum version of node-json-parse-better-errors

  [ Xavier Guimard ]
  * New upstream version 7.4.2+ds
  * Update manpages
  * Update no-duplication test

 -- Xavier Guimard <yadd@debian.org>  Sat, 16 Jan 2021 08:18:23 +0100

npm (7.4.0+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.4.0+ds
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Fri, 08 Jan 2021 06:13:49 +0100

npm (7.3.0+ds-2) unstable; urgency=medium

  * Team upload
  * Fix little spelling error (reported)
  * Install @npmcli/* modules in nodejs main directory

 -- Xavier Guimard <yadd@debian.org>  Tue, 22 Dec 2020 10:07:42 +0100

npm (7.3.0+ds-1) unstable; urgency=medium

  * Team upload
  * Exclude path-parse from import (Closes: #977706)
  * Remove dependencies to node-editor, node-sorted-object, node-tough-cookie
  * New upstream version 7.3.0+ds

 -- Xavier Guimard <yadd@debian.org>  Tue, 22 Dec 2020 09:45:11 +0100

npm (7.2.0+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.2.0+ds

 -- Xavier Guimard <yadd@debian.org>  Wed, 16 Dec 2020 06:12:40 +0100

npm (7.1.2+ds-1) unstable; urgency=medium

  * Team upload
  * Add dependency to node-function-bind, node-json-parse-better-errors,
    node-json-stable-stringify
  * Remove fast-json-stable-stringify, function-bind, has, is-core-module and
    json-parse-even-better-errors from import
  * Update lintian overrides
  * New upstream version 7.1.2+ds

 -- Xavier Guimard <yadd@debian.org>  Tue, 15 Dec 2020 18:38:28 +0100

npm (7.1.0+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.1.0+ds

 -- Xavier Guimard <yadd@debian.org>  Sat, 05 Dec 2020 12:30:26 +0100

npm (7.0.15+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.0.15+ds

 -- Xavier Guimard <yadd@debian.org>  Wed, 02 Dec 2020 06:06:11 +0100

npm (7.0.14+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.0.14+ds
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Fri, 27 Nov 2020 10:37:27 +0100

npm (7.0.12+ds-1) unstable; urgency=medium

  * Team upload

  [ James Addison ]
  * Use source-date-epoch as timestamp source for documentation

  [ Xavier Guimard ]
  * Add dependency to node-puka
  * New upstream version 7.0.12+ds
  * Declare compliance with policy 4.5.1

 -- Xavier Guimard <yadd@debian.org>  Fri, 20 Nov 2020 06:13:41 +0100

npm (7.0.11+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.0.11+ds

 -- Xavier Guimard <yadd@debian.org>  Sun, 15 Nov 2020 22:44:19 +0100

npm (7.0.9+ds-1) unstable; urgency=medium

  * Team upload
  * Back to unstable
  * Remove dependency to node-lodash
  * Exclude agent-base, depd, https-proxy-agent and is-typedarray from import
    and add corresponding dependencies
  * New upstream version 7.0.9+ds

 -- Xavier Guimard <yadd@debian.org>  Sat, 07 Nov 2020 08:28:27 +0100

npm (7.0.8+ds-2) experimental; urgency=medium

  * Team upload
  * Update copyright_hints
  * Fix copyright
  * Install docs
  * Use dh-sequence-nodejs auto test & install
    (this move files from /usr/share/npm to /usr/share/nodejs/npm)
  * Update maintscript to permit upgrades
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Wed, 04 Nov 2020 13:15:31 +0100

npm (7.0.8+ds-1) unstable; urgency=medium

  * Team upload
  * Remove dependencies to node-is-stream and node-pseudomap
  * Remove embedded read-package-json safer-buffer and extend and add related
    dependencies
  * New upstream version 7.0.8+ds
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Wed, 04 Nov 2020 08:00:17 +0100

npm (7.0.6+ds-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Xavier Guimard <yadd@debian.org>  Fri, 30 Oct 2020 09:13:38 +0100

npm (7.0.6+ds-1) experimental; urgency=medium

  * Team upload
  * Add optional test to avoid duplication
  * Update build and lintian overrides
  * Clean dependencies
    * restore dependency to node-cacache and mkdirp and exclude relevant files
    * exclude @npmcli/move-file, provided by node-cacache
    * replace embedded modules by dependencies: indent-string, leven, p-map,
      resolve, typedarray-to-buffer, uri-js
    * clean old dependencies
  * New upstream version 7.0.6+ds

 -- Xavier Guimard <yadd@debian.org>  Wed, 28 Oct 2020 18:19:00 +0100

npm (7.0.5+ds-1) unstable; urgency=medium

  * Team upload
  * Require node-semver ≥ 7.3.2~
  * Restore dependency to node-cacache and mkdirp and exclude relevant modules
    from import
  * New upstream version 7.0.5+ds
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Sat, 24 Oct 2020 21:17:40 +0200

npm (7.0.3+repack+ds-1) unstable; urgency=medium

  * Team upload
  * Merge changes done in experimental
  * Don't ignore cacache and mkdirp since current Debian packages can't be
    upgraded, and repack
  * Update test to reproduce part of npm2deb requests
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Wed, 21 Oct 2020 14:56:02 +0200

npm (7.0.3+ds-1) unstable; urgency=medium

  * Team upload
  * Add npm version test (related to #969986)
  * Add "needs-internet" tag to autopkgtest "install-test" job
  * Add git in recommended dependencies (Closes: #960284)
  * Update lintian overrides
  * New upstream version 7.0.3+ds
  * Require nodejs ≥ 10
  * refresh patches
  * Update lintian overrides
  * Fix perms
  * Update install

 -- Xavier Guimard <yadd@debian.org>  Wed, 21 Oct 2020 13:36:34 +0200

npm (7.0.0~rc.3+ds-1) experimental; urgency=medium

  * Team upload
  * New upstream version 7.0.0~rc.3+ds
  * Refresh patches
  * Fix install
  * Remove unneeded dependencies
  * Update copyright
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Thu, 08 Oct 2020 10:45:38 +0200

npm (6.14.8+ds-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * New upstream version 6.14.8+ds
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Tue, 25 Aug 2020 09:10:50 +0200

npm (6.14.7+ds-2) unstable; urgency=medium

  * Add ppc64 in supported platforms list (Closes: #964854)

 -- Xavier Guimard <yadd@debian.org>  Sun, 16 Aug 2020 07:39:45 +0200

npm (6.14.7+ds-1) unstable; urgency=medium

  * Team upload
  * Add s390x and ppc64el in supported platforms list (Closes: #964854)
  * New upstream version 6.14.7+ds
  * Update copyright
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Fri, 14 Aug 2020 13:26:21 +0200

npm (6.14.6+ds-1) unstable; urgency=medium

  * Team upload

  [ Gianfranco Costamagna ]
  * Increase whoami with bearer auth timeout (Closes: #963539)

  [ Xavier Guimard ]
  * New upstream version 6.14.6+ds (Closes: #964746, CVE-2020-15095)
  * Disable new doctor-ping-registry-404 test (which needs some binary files)

 -- Xavier Guimard <yadd@debian.org>  Fri, 10 Jul 2020 11:51:25 +0200

npm (6.14.5+ds-1) unstable; urgency=medium

  * Team upload
  * Exclude es-to-primitive and is-callable from import and add corresponding
    dependencies
  * New upstream version 6.14.5+ds
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Tue, 05 May 2020 17:24:30 +0200

npm (6.14.4+ds-3) unstable; urgency=medium

  * Team upload
  * Drop useless dependency to node-cross-spawn (Closes: #959789)

 -- Xavier Guimard <yadd@debian.org>  Tue, 05 May 2020 17:01:35 +0200

npm (6.14.4+ds-2) unstable; urgency=medium

  * Team upload
  * Randomize test ports to randomize debci errors... (Closes: #956238)
  * Replace node-request by node-got (Closes: #958679)

 -- Xavier Guimard <yadd@debian.org>  Tue, 28 Apr 2020 10:35:16 +0200

npm (6.14.4+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 6.14.4+ds

 -- Xavier Guimard <yadd@debian.org>  Thu, 02 Apr 2020 08:08:58 +0200

npm (6.14.3+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 6.14.3+ds
  * Exclude test/tap/00-check-mock-dep.js test

 -- Xavier Guimard <yadd@debian.org>  Tue, 24 Mar 2020 12:29:23 +0100

npm (6.14.2+ds-2) unstable; urgency=medium

  * Team upload
  * Change test port to avoid debci failures
  * Move autopkgtest command in a separate file

 -- Xavier Guimard <yadd@debian.org>  Sun, 15 Mar 2020 10:07:40 +0100

npm (6.14.2+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 6.14.2+ds

 -- Xavier Guimard <yadd@debian.org>  Wed, 11 Mar 2020 21:22:10 +0100

npm (6.14.1+ds-1) unstable; urgency=medium

  * Team upload
  * Add debian/copyright_hints
  * New upstream version 6.14.1+ds
  * Update metadata
  * Fix homepage
  * Replace Buffer() by Buffer.from() or Buffer.alloc()
  * Fix debian/watch
  * Fix link in /usr/share/nodejs

 -- Xavier Guimard <yadd@debian.org>  Tue, 03 Mar 2020 15:43:37 +0100

npm (6.13.7+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 6.13.7+ds
  * Declare compliance with policy 4.5.0
  * Add dependency to node-p-is-promise
  * Update copyright
  * Update libnpx patch (Closes: #949302)

 -- Xavier Guimard <yadd@debian.org>  Wed, 05 Feb 2020 15:03:59 +0100

npm (6.13.4+ds-2) unstable; urgency=medium

  * Team upload
  * Back to unstable after successful tests
  * Require node-npm-package-arg ≥ 6.1.1 (fixes debci)

 -- Xavier Guimard <yadd@debian.org>  Wed, 15 Jan 2020 07:25:43 +0100

npm (6.13.4+ds-1) experimental; urgency=medium

  * Team upload

  [ Pirate Praveen ]
  * Drop myself from uploaders

  [ Manas Kashyap ]
  * ip-regex module added in dependency as its packaged
  * New upstream version 6.10.3+ds
  * added node-yargs-parser and node-yargs in dependency list
  * added ajv,yallist,y18n,xtend,xdg-basedir,wrap-ansi in dependency list
  * added node-widest-line, node-wide-align, node-which-module, node-verror,
    node-uuid, node-util-deprecate, node-url-parse-lax, node-unique-string,
    node-uid-number, node-typedarray, node-tweetnacl, node-tunnel-agent,
    node-tough-cookie, node-timed-out,node-through, node-through2,
    node-term-size, node-tar-stream in the dependency list
  * typo error
  * added  node-supports-color, node-strip-json-comments, node-strip-eof,
    node-string-decoder, node-string-width, node-strict-uri-encode,
    node-stream-shift, node-stream-iterate, node-stream-each,
    node-sshpk,node-spdx-license-ids in the dependency list
  * removed node-gyp from the node_modules as its added in dependency
  * removed node-wcwidth from node_modules
  * removed node_modules of s alphabets that are in debian archive now
  * removed r alphabets node_modules which are available in debian archive
  * qs node_modules removed

  [ Xavier Guimard ]
  * Refresh patches
  * Remove 3 patches included in upstream
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * New upstream version 6.13.4+ds (Closes: #904422, #947127)
  * Remove all modules that already exists in Debian and update dependencies
    (Closes: #914510)
  * No more generate HTML doc (missing dependencies)
  * Update lintian overrides
  * Enable part of tap test during autopkgtest only (network access attempt)
  * Update debian/clean
  * Update copyright
  * Install only relevant manpages

 -- Xavier Guimard <yadd@debian.org>  Thu, 09 Jan 2020 17:51:19 +0100

npm (5.8.0+ds6-4) unstable; urgency=medium

  * Team upload
  * Add upstream/metadata
  * Declare compliance with policy 4.3.0
  * Remove old broken bash_completion file using maintscript (Closes: #917217)
  * Fix debian/copyright urls

 -- Xavier Guimard <yadd@debian.org>  Wed, 13 Feb 2019 23:01:53 +0100

npm (5.8.0+ds6-3) unstable; urgency=medium

  [ Pirate Praveen ]
  * Update homepage to docs.npmjs.com (as given in package.json)
    (Closes: #910250)

  [ Jérémy Lal ]
  * Patch to fix LRUCache constructor call (Closes: #918889)

 -- Jérémy Lal <kapouer@melix.org>  Thu, 10 Jan 2019 12:19:12 +0100

npm (5.8.0+ds6-2) unstable; urgency=medium

  * Tighten dependency versions as per package.json

 -- Pirate Praveen <praveen@debian.org>  Fri, 26 Oct 2018 12:10:25 +0530

npm (5.8.0+ds6-1) unstable; urgency=medium

  * Add set -x to autopkgtest script
  * Remove copyright notices for chownr and errno (now uses packaged versions)
  * Drop 2009_ansi-color-table.patch (ansicolors is embedded, ansistyles and
    text-table packaged) (Closes: #910921)
  * Add 'npm outdated' command to autopkgtest
  * Drop embedded copies of libnpx and cacache (they are now packaged)
  * Switch to new repo url in watch

 -- Pirate Praveen <praveen@debian.org>  Mon, 15 Oct 2018 23:11:45 +0530

npm (5.8.0+ds5-1) unstable; urgency=medium

  * Remove copyright of modules no longer present in node_modules
  * Update copyright with cme update dpkg-copyright command
  * Fix permission of embedded node-gyp.cmd
  * Use node-errno and chownr from system
  * Remove node_modules/npm-lifecycle/node_modules/.bin (Closes: #909060)
  * Remove all .bin diectories in node_modules

 -- Pirate Praveen <praveen@debian.org>  Fri, 21 Sep 2018 12:19:32 +0530

npm (5.8.0+ds4-1) unstable; urgency=medium

  * Add init and install commands to autopkgtest
  * Add a nodoc build profile (for faster builds)
  * Tighten more dependency versions
  * Use npm-package-arg and node-promzard from system
  * Remove node_modules/.bin directory (Closes: #908985)
  * Stop renaming of node command to nodejs (nodejs >= 6 provides it)
  * Install npx command and fix its permission

 -- Pirate Praveen <praveen@debian.org>  Mon, 17 Sep 2018 18:38:54 +0530

npm (5.8.0+ds3-1) unstable; urgency=medium

  * Use node-resolve-from from system
  * Add node-gyp as dependency for npm-lifecycle

 -- Pirate Praveen <praveen@debian.org>  Fri, 14 Sep 2018 15:27:07 +0530

npm (5.8.0+ds2-1) unstable; urgency=medium

  * Tighten all dependencies
  * Bring back embedded ansicolors (removed by mistake)

 -- Pirate Praveen <praveen@debian.org>  Fri, 14 Sep 2018 14:46:30 +0530

npm (5.8.0+ds1-1) unstable; urgency=medium

  * Remove readable-stream from dependencies as well
  * Exclude more packaged modules

 -- Pirate Praveen <praveen@debian.org>  Thu, 13 Sep 2018 10:48:46 +0530

npm (5.8.0+ds-3) unstable; urgency=medium

  * Remove dependency on node-readable-stream (not required)
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Bump debhelper compatibility level to 11

 -- Pirate Praveen <praveen@debian.org>  Wed, 12 Sep 2018 23:15:33 +0530

npm (5.8.0+ds-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Fri, 17 Aug 2018 16:23:18 +0530

npm (5.8.0+ds-1) experimental; urgency=medium

  [ Diane Trout ]
  * New upstream release (Closes: #870460, #863963, #794890, #857986)

  [ Jérémy Lal ]
  * Switch to dh
  * Section javascript
  * Priority optional
  * Drop Jonas from uploaders because of the move to dh
  * Update Homepage url
  * Update Vcs-Browser url
  * Fix make clean
  * Override make targets
  * Temp workaround for failure with prefix/npmrc
  * Build-Depends node-tacks, node-tap for running tests
  * Build-Depends node-require-inject for tests
  * Drop ruby-ronn from build-dependencies
  * Actually call make clean
  * NPMOPTS not needed because it does not have to install modules
  * Exclude request entirely
  * Exclude node-gyp entirely
  * Fix install and noop for auto_install
  * Use repacksuffix
  * make clean can fail
  * Disable tests for now
  * Fix syntax error in watch
  * repacksuffix makes uversionmangle useless
  * Add comment for tests
  * Ignore case to remove extra license files
  * watch file syntax again
  * npm need a recent node-tar
  * Call /usr/bin/node-gyp instead of second-guess where it is

  [ Pirate Praveen ]
  * add node-fs-vacuum as dependency
  * remove all .npmignore files
  * drop unique-filename, already in the archive
  * add node-unique-filename as a dependency
  * add lintian overrides
  * Reorganize doc-base structure

 -- Pirate Praveen <praveen@debian.org>  Wed, 18 Jul 2018 21:37:49 +0530

npm (1.4.21+ds-2) unstable; urgency=medium

  * Depends node-ansi >= 0.3.0-2 as a replacement for
    ansicolors, ansistyles.
  * Update 2009_ansi-color-table.patch. (Closes: #756603)

 -- Jérémy Lal <kapouer@melix.org>  Wed, 06 Aug 2014 00:28:58 +0200

npm (1.4.21+ds-1) unstable; urgency=medium

  * Imported Upstream version 1.4.21+ds
  * control:
    + move Vcs to pkg-javascript
    + depends node-underscore
    + tighten dependency on node-nopt >= 3.0.1
    + build-depends node-marked
  * copyright:
    + add wildcards to Files-Excluded entries
    + exclude underscore module
    + several minor licenses changes
    + several new paragraphs for new bundled modules
  * patches:
    + 2010 to prevent a privacy breach in README.html
    + 2002 remove unicode symbols from package.json.md
  * override lintian privacy-breach-generic about link rel canonical,
    those links are only used by robots.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 29 Jul 2014 08:38:21 +0200

npm (1.4.4+ds-1) unstable; urgency=medium

  * New upstream release. (Closes: #740338)
  * Repackaging is no longer DFSG-needed, now only used to ease
    copyright maintenance.
  * Switch to uscan and debian/copyright Files-Excluded field for
    repackaging upstream tarball. Drop usage of cdbs upstream-tarball.
  * Install completion.sh (Closes: #672388)
  * Convenient removal of ansicolors, ansistyles, text-table.
    Instead, depend on node-ansi-color-table and add 2009 patch.
  * copyright:
    + npm copyright holder changed to npm, inc.
    + switch read-installed, promzard, uid-number to ISC license
    + add sections for path-is-inside,
      github-url-from-username-repo, npm-install-checks, columnify
    + remove couch-login section (no longer included)

 -- Jérémy Lal <kapouer@melix.org>  Sat, 01 Mar 2014 02:57:59 +0100

npm (1.3.10~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version 3.9.4
  * Update README.Debian with info about nodejs-legacy
    (Closes:#650345)
  * copyright:
    + switch npm to Artistic-2.0
    + add sections for editor and npm-user-validate
    + drop debian/* section
    + update list of excluded files
  * control:
    + loosen (build-)dependency on nodejs
    + Build-Depends on node-glob
    + depend on node-github-url-from-git, node-sha,
      and exclude them from tarball
    + bump versions of node-graceful-fs, node-gyp,
      node-read-package-json, node-request, node-rimraf,
      node-semver, node-tar
  * patches:
    + remove 2007 patch for compatibility with nodejs 0.6
    + remove 2001 patch, not needed with the new license
    + enhance 2005 path and forward it upstream
    + add patches to avoid dependency on cmd-shim and
      child-process-close modules
    + add 2001 patch to keep documentation buildable by ronn
      without unicode support
  * docs: new sections, simplify manpages install

 -- Jérémy Lal <kapouer@melix.org>  Sun, 08 Sep 2013 01:40:11 +0200

npm (1.2.18~dfsg-3) experimental; urgency=low

  * Add missing dependency on node-fstream-ignore.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 30 Apr 2013 00:28:32 +0200

npm (1.2.18~dfsg-2) experimental; urgency=low

  * Try to keep compatibility with nodejs 0.6 in
    debian/patches/2007_nodejs_0_6_compat.patch.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 29 Apr 2013 00:13:30 +0200

npm (1.2.18~dfsg-1) experimental; urgency=low

  * New upstream release. (Closes: #695821, #705236)
  * debian/patches:
    + refresh
    + remove upstream patches.
  * debian/control:
    + update dependencies on external node-* modules
    + tighten dependencies on modules that are available in unstable
      and experimental, only when required by npm package.json.
    + remove DMUA field.
    + no longer Suggests: build-essential, since building is handled by
      node-gyp, not directly by npm.
  * debian/copyright:
    + update sections to match required modules,
    + update the list of excluded files,
    + comment why some modules are kept inside npm
  * debian/watch: fix again.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 28 Apr 2013 21:03:50 +0200

npm (1.1.4~dfsg-2) unstable; urgency=low

  [ Jérémy Lal ]
  * debian/patches:
    + 1002_only_use_numeric_UIDs_and_GIDs_in_spawn.patch
      Upstream commit. Closes: #687052.
    + 2006_rename_node_to_nodejs.patch : apart from trivial rename of
      node to nodejs in shebangs and makefile, print a warning and refer
      to nodejs README on failure of a package lifecycle script.
      Closes: #686894.
  * debian/control:
    + Tighten nodejs version to the one after the rename.
    + Suggests: build-essential. Closes: #681356.

  [ Jonas Smedegaard ]
  * Directly use github.com (not broken githubredir.debian.net).
  * Allow Debian-Maintainer uploads.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Sep 2012 00:19:00 +0200

npm (1.1.4~dfsg-1) unstable; urgency=low

  * New upstream release.

  [ Jérémy Lal ]
  * Get the source from github repository.
  * Update package relations:
    + Relax to build-depend unversioned on cdbs and debhelper, and to
      depend unversioned on nodejs and O-dev: Required versions
      satisfied even in oldstable.
    + Build-depend on nodejs and ruby-ronn.
    + Depend on node-node-uuid, node-request, node-mkdirp,
      node-minimatch, node-semver, node-ini, node-graceful-fs,
      node-abbrev, node-nopt, node-fstream, node-rimraf, node-tar,
      node-which: Modules bundled with npm upstream yet sensible to
      reuse by other projects are packaged separately for Debian
      (exceptions are proto-list, read and slide).
  * Update copyright:
    + license changed to Expat+no-false-attribs, discussed at :
      http://lists.debian.org/debian-legal/2012/03/msg00030.html
    + Extend copyright year of debian/* section.
    + Added sections for the included modules.
    + Explain Source is repackaged.
    + Added (non-official) Files-Excluded paragraph in header.
  * DFSG repackaging (using cdbs upstream-tarball.mk), remove :
    + non-free html/*/GubbleBum-Blocky.ttf
    + all modules that are dependencies.
  * Patches :
    + Drop patches for missing shebangs, applied upstream.
    + Remove shebang from completion.sh as it is non-executable.
    + Drop patch to fix completion, no longer needed.
    + Comply with license: replace Original Author's bug reporting email
      address and url with information on how to report debian bugs.
    + Use ruby-ronn instead of ronnjs to build documentation.
    + Small documentation fixes.
  * npm configuration has moved from /etc/npm/rootrc, /etc/npm/userrc
    to /etc/npmrc.
  * npm is also installed as a node module, so has man(3) documentation.
  * Documentation installation:
    + Fix gz extension, override lintian errors.
    + Install and register html with doc-base.
  * Use githubredir for watch file.
  * README.Debian updated.
  * Use anonscm.d.o in control Vcs-* fields.
  * Bump policy compliance to standards-version 3.9.3.

  [ Jonas Smedegaard ]
  * Update copyright file:
    + Stop listing convenience copy of uuid.js: no longer included.
    + Extend a copyright year.
    + Abbreviate author middle name (to match upstream change).
    + Add Upstream-Name field.
  * Git-ignore .pc quilt subdir.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Apr 2012 10:16:32 +0200

npm (0.2.19-1) unstable; urgency=low

  * New upstream release.

  [ Jonas Smedegaard ]
  * Bump policy compliance to standards-version 3.9.2.
  * Bump copyright file format to draft 174 of DEP-5.
  * Replace long description with intro from upstream documentation.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Apr 2011 11:32:28 +0200

npm (0.2.16-1) unstable; urgency=low

  [ Jérémy Lal ]
  * Initial release.
    Closes: #587525.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 29 Jan 2011 15:03:31 +0100
